:root {
    --palette01-color: #005287;
    --palette02-color: #45A7E8;
    --palette03-color: #0088E3;
    --palette04-color: #1E4863;
    --palette05-color: #006AB0;
}
@font-face {
    font-family: 'Qatar2022 Arabic Bold';
    src: url('../fonts/Qatar2022Arabic-Bold.woff2') format('woff2'),
        url('../fonts/Qatar2022Arabic-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}


.lato { font-family: 'Lato', sans-serif;}
.boogaloo { font-family: 'Boogaloo', cursive; }
.qatar2022b{ font-family: 'Qatar2022 Arabic Bold', sans-serif; }
.bg-palette01{ background: var(--palette01-color) !important; }
.bg-palette02{ background: var(--palette02-color) !important; }
.bg-palette03{ background: var(--palette03-color) !important; }
.bg-palette04{ background: var(--palette04-color) !important; }
.bg-palette05{ background: var(--palette05-color) !important; }
.text-palette01{ color: var(--palette01-color) !important; }
.text-palette02{ color: var(--palette02-color) !important; }
.text-palette03{ color: var(--palette03-color) !important; }
.text-palette04{ color: var(--palette04-color) !important; }
.text-palette05{ color: var(--palette05-color) !important; }
.bg-palette04-transparent{ background: var(--palette04-color)80 !important; }
.bg-red{ background: red !important; }
.text-white{ color: white !important; }
.text-right{ text-align: right; }

.btn-primary, .show>.btn.btn-primary {
    background: var(--palette01-color) !important;
    border-color: var(--palette01-color) !important;
    color: white;
}
.btn-primary:hover{
    background: #005187be !important;
    border-color: #005187be !important;
    color: white;
}
.btn-check:active+.btn.btn-primary, .btn-check:checked+.btn.btn-primary, .btn.btn-primary.active, .btn.btn-primary.show, .btn.btn-primary:active:not(.btn-active), .btn.btn-primary:focus:not(.btn-active), .btn.btn-primary:hover:not(.btn-active) {
    color: #fff;
    border-color: #005187be;
    background-color: #005187be!important;
}
.btn-info
{
    background: var(--palette03-color) !important;
    border-color: var(--palette03-color) !important;
    color: white;
}
.btn.btn-info:hover:not(.btn-active) {
    background-color: var(--palette02-color) !important;
    border-color: var(--palette02-color) !important;
    color: white;
}
.btn-check:active+.btn.btn-info, .btn-check:checked+.btn.btn-info, .btn.btn-info.active, .btn.btn-info.show, .btn.btn-info:active:not(.btn-active), .btn.btn-info:focus:not(.btn-active), .btn.btn-info:hover:not(.btn-active) {
    color: #fff;
    border-color: var(--palette02-color);
    background-color: var(--palette02-color)!important;
}
.text-info{ color: var(--palette02-color) !important; }

.btn-puzzleschool01{
    background: var(--palette01-color) !important;
    border-color: var(--palette01-color) !important;
    color: white;
}
.btn-puzzleschool01:hover{
    background: var(--palette03-color) !important;
    border-color: var(--palette03-color) !important;
    color: white;
}

.btn-puzzleschool02{
    background: var(--palette02-color) !important;
    border-color: var(--palette02-color) !important;
    color: white;
}
.btn-puzzleschool02:hover{
    background: var(--palette04-color) !important;
    border-color: var(--palette04-color) !important;
    color: white;
}

.btn-puzzleschool03{
    background: var(--palette03-color) !important;
    border-color: var(--palette03-color) !important;
    color: white;
}
.btn-puzzleschool03:hover{
    background: var(--palette04-color) !important;
    border-color: var(--palette04-color) !important;
    color: white;
}

.btn-puzzleschool04{
    background: var(--palette04-color) !important;
    border-color: var(--palette04-color) !important;
    color: white;
}
.btn-puzzleschool04:hover{
    background: var(--palette02-color) !important;
    border-color: var(--palette02-color) !important;
    color: white;
}

.btn-puzzleschool05{
    background: var(--palette05-color) !important;
    border-color: var(--palette05-color) !important;
    color: white;
}
.btn-puzzleschool05:hover{
    background: var(--palette04-color) !important;
    border-color: var(--palette04-color) !important;
    color: white;
}
.navbar-info {
    background: rgb(0,82,135);
    background: linear-gradient(90deg, rgba(0,82,135,1) 0%, rgba(0,106,176,1) 100%);
}
.menu-title-white .menu-item .menu-link .menu-title {
    color: #FFFFFF;
}
.card {
    box-shadow: 0 0 20px 0 rgb(76 87 125 / 35%);
}
.square{
	padding: 10px !important;
    width: 35px;
    height: 35px;
    text-align: center;
    border-radius: 10px;
    font-size: 16px;
}

.color-square {
    height: 35px;
    width: 35px;
    border: 1px solid black;
    display: inline-block;
}

.little-circle {
    width: 25px !important;
    height: 25px !important;
    line-height: 25px !important;
    text-align: center;
    border-radius: 50%;
}

.form-control:disabled {
    background-color: #bdbdbd !important;
}

.card {
     border-radius: 1.5rem;
}

.card-header:first-child {
    border-top-left-radius: 1.5rem;
    border-top-right-radius: 1.5rem;
}

.carousel.carousel-custom .carousel-indicators.carousel-indicators-dots li:after {
    background-color: var(--palette02-color);
}
.carousel.carousel-custom .carousel-indicators.carousel-indicators-dots li.active:after {
    background-color: var(--palette04-color);
    width: 16px;
    height: 16px;
}
.carousel.carousel-custom .carousel-indicators.carousel-indicators-dots li {
    width: 16px;
    height: 16px;
}

.minicolors-theme-default .minicolors-input {
    height: initial !important;
    width: -webkit-fill-available !important;
    padding-left: 50px !important;
}

.minicolors-theme-default .minicolors-swatch {
    width: 35px !important;
    height: 35px !important;
}

.has-error, .has-error+.ck-editor, .has-error+.select2 {
	border: 3px solid #f1416c!important;
}
.palitoon{
    font-family: 'palitoon';
}
.title
{
    font-size: 3.5rem !important;
    color: var(--palette01-color);
    border-radius: 10px;
    font-weight: bold;
    border-bottom: 4px solid;
}
.subtitle
{
    font-size: 2.5rem !important;
    color: var(--palette01-color);
    font-weight: bold;
}
.form-control.form-control-solid, .form-select.form-select-solid {
    background-color: #e4e6ef;
    border-color: #e4e6ef;
}
.nav-tabs .nav-link.active {
    border-top: 3px solid #0061a1;
}
.table-puzzleschool th {
    background: var(--palette01-color) !important;
    color: white;
}
.table-rounded {
    border-radius: 15px;
}
.table.table-bordered {
    border: 1px solid black !important;
}
.table.table-bordered th:not(:last-child), .table.table-bordered td:not(:last-child) {
    border-right: 1px solid black !important;
}
.table.table-bordered tbody tr:not(:last-child), .table.table-bordered thead tr {
    border-bottom: 1px solid black !important;
}

.table-grades td, .table.table-grades tbody tr:last-child {
    border: 1px solid black !important;
}
.table-grades th, .table.table-grades>:not(:last-child)>:last-child, .table-grades tfoot td, .table.table-grades tr:last-child td
{
    border: 3px solid black !important;
}
.table.table-grades tbody tr:last-child td{
    border-bottom: 3px solid black !important;
}
.table-grades td:first-child {
    border-left: 3px solid black !important;
    border-right: 3px solid black !important;
}
.table-grades td:last-child {
    border-right: 3px solid black !important;
}
.table td:last-child, .table th:last-child, .table tr:last-child {
    padding-right: 0.75rem;
}
.table td:first-child, .table th:first-child, .table tr:first-child {
    padding-left: 0.75rem;
}
.loading-image{
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    margin: 10px auto;
    width: 100px;
    height: 100px;
    background-image: url('../images/loading.gif');
}
.loading-modal {
    display: flex;
    justify-content:center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100000;
    width: 100%;
    height: 100%;
}
/*.wrapper {
    background: url('../images/background.jpeg');
}*/

::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: var(--palette02-color);
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: var(--palette01-color) !important;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: var(--palette01-color) !important;
}
@media (min-width: 992px) {
    div::-webkit-scrollbar-thumb, ol::-webkit-scrollbar-thumb, pre::-webkit-scrollbar-thumb, span::-webkit-scrollbar-thumb, ul::-webkit-scrollbar-thumb {
        background-color: var(--palette01-color);
    }
    .menu-title-white .menu-item .menu-link .menu-title {
        color: var(--palette01-color);
    }

}


/*OVERRIDING CSS PLUGINS*/
.swal2-styled.swal2-confirm {
    background-color: var(--palette01-color);
}
.swal2-styled.swal2-cancel {
    background-color: #d9214e;
}
.ck-content {
    min-height: 320px;
    border-radius: .75rem!important;
}
.ck-editor .ck-content {
    border-bottom-right-radius: 1.5rem!important;
    border-bottom-left-radius: 1.5rem!important;
    border-top-left-radius: 0!important;
    border-top-right-radius: 0!important;
}

/*Publico*/
*{
    padding: 0;
    margin: 0;
}

@media (max-width: 600px) {
    .card-body{
        padding: 0;
        padding-top: 10px;
    }
}

.match-header {
    padding: 5px;
}
.match-header i.can-update{
    position: absolute;
    top: 7px;
    left: 15px;
}
.match-header i.info{
    position: absolute;
    top: 7px;
    right: 15px;
}
/* .date{
    font-weight: bold;
    color: white;
} */
.match{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 10px;
}
.result
{
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: space-around;
}
.result input {
    width: 50px;
    height: 50px;
    text-align: center;
    border: 2px solid white;
    border-radius: 10px;
    font-weight: bold;
}
.result input:disabled{
    color: white;
}
.team{
    display: flex;
    flex-flow: column;
}
.team-logo{
    width: 75px;
    /*border: 2px solid white;
    background: white;
    border-radius: 50%;*/
}
.team-name{
    color: white;
    font-weight: bold;
}
.points{
    color: white;
    font-weight: bold;
    background: #005287;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    padding: 5px;
}
.date-check {
    border-radius: 50%;
    color: white;
    width: 25px;
    height: 25px;
    line-height: 25px !important;
    vertical-align: middle;
    text-align: center;
}
div.ranking-player {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-around;
    align-items: center;
    margin: 5px;
    text-align: center;
    border-top-right-radius: 25px;
    border-bottom-left-radius: 25px;
    color: white;
    background: #4991C5;
    font-size: 20px;
    max-width: 1000px;
    width: 100%;
}
div.ranking-player-position{ width: 15% }
div.ranking-player-name{ width: 60% }
div.ranking-player-points{ width: 25% }
.max-lines-2 {
    text-overflow: ellipsis;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
}
.podium {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    max-width: 500px;
    width: 100%;
}

.podium__item {
    width: 33.33%;
}

.podium__rank {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 16px;
    /* color: #430d27; */
    color: #fff;
    flex-wrap: wrap;
    align-content: center;
    padding: 10px 10px;
    flex-direction: column;
}

.podium__rank .number {
    text-shadow: 2px 2px 5px black;
    font-size: 20px;
}

.podium__city {
    text-align: center;
    padding: 0 .5rem;
}

.podium__number {
    width: 27px;
    height: 75px;
}
.podium .first {
    height: 260px;
    /* background-color: #F7DB4C !important; */
    background: linear-gradient(rgb(115, 22, 66, 1), rgb(67, 13, 39, 1));
}

.podium .second {
    height: 220px;
    /* background: #ABAFCA; */
    background: linear-gradient(rgb(245, 47, 139, 1), rgb(67, 13, 39, 1));
}

.podium .third {
    height: 190px;
    /* background: #CB9451; */
    background: linear-gradient(rgb(175, 10, 125, 1), rgb(67, 13, 39, 1));
}

.alert {
    background: rgb(54, 10, 30, 0.50);
    border: 2px solid rgb(54, 10, 30, 1);
}
.podium__top {
    height: 0px;
    border-right: 0px solid transparent;
    border-left: 20px solid transparent;
    /* border-bottom: 40px solid #DDDFEB; */
    border-bottom: 40px solid rgb(245, 47, 139, 0.75);
}
.predictions, .points {
    height: 65px;
}
div.prediction {
    margin: 5px;
    text-align: center;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 10px;
    color: white;
    background: #005287;
    font-size: 10px;
    max-width: 50px;
    width: 100%;
}
div.match-container {
    margin: 5px;
    text-align: center;
    border-top-right-radius: 20px;
    border-bottom-left-radius: 20px;
    color: white;
    background: #005287;
    width: 100%;
    position: relative;
}
.rule-level-2 {
    list-style-type: none;
    margin-left: 35px;
}
.rule-level-2:before {
    content: '• ';
}
